View Issue Details

IDProjectCategoryView StatusLast Update
0011567LazarusWidgetsetpublic2013-09-03 12:07
ReporterChrisKAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0011567: ScrollBox doesn't work properly
DescriptionWhen an image is inside a ScrollBox and the scrollbars are moved, the image doesn't move inside it.

When another component is inside a ScrollBox, they are moved on scrollbar-move, but not correctly. Also, the little pads on the scrollbars get smaller.

Demo-project is attached
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
WidgetsetWinCE
Attached Files

Relationships

related to 0016638 closedFelipe Monteiro de Carvalho WinCE: Client area of scrollbox is scrolled in wrong direction 
related to 0013300 closedFelipe Monteiro de Carvalho TScrollBox and WinCE 
has duplicate 0016379 closedFelipe Monteiro de Carvalho WinCE: TImage is not drawn at it's correct position in TScrollBox 
has duplicate 0016533 closedFelipe Monteiro de Carvalho DBGrid not appears in Scrollbox 
has duplicate 0016657 closedFelipe Monteiro de Carvalho WinCE: Vertical position of Tlabel on TScrollbox does not scroll 
has duplicate 0017201 closedFelipe Monteiro de Carvalho WinCE: TScrollBox vertical scroll behaves invertedly 

Activities

2008-06-27 14:09

 

ScrollBox Error.zip (1,225,203 bytes)

Felipe Monteiro de Carvalho

2010-06-08 22:45

developer   ~0038410

All parts of the bug, except for the ones relating TImage were solved. The TImage issue is now detailed in bug 16379.

Felipe Monteiro de Carvalho

2010-10-24 11:05

developer   ~0042043

I just tested and it works perfectly, so it was fixed in the mean time.

Issue History

Date Modified Username Field Change
2008-06-27 14:09 ChrisK New Issue
2008-06-27 14:09 ChrisK File Added: ScrollBox Error.zip
2008-06-27 14:09 ChrisK Widgetset => WinCE
2008-06-27 14:44 Vincent Snijders LazTarget => post 1.2
2008-06-27 14:44 Vincent Snijders Status new => acknowledged
2010-05-06 17:50 Felipe Monteiro de Carvalho Relationship added related to 0016379
2010-06-04 19:14 Felipe Monteiro de Carvalho Status acknowledged => assigned
2010-06-04 19:14 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2010-06-04 19:15 Felipe Monteiro de Carvalho Relationship added related to 0016638
2010-06-04 19:15 Felipe Monteiro de Carvalho Relationship added related to 0013300
2010-06-08 22:45 Felipe Monteiro de Carvalho Note Added: 0038410
2010-07-29 11:55 Felipe Monteiro de Carvalho Relationship added has duplicate 0016533
2010-07-29 11:56 Felipe Monteiro de Carvalho Relationship added has duplicate 0016657
2010-10-24 11:00 Felipe Monteiro de Carvalho Relationship replaced has duplicate 0016379
2010-10-24 11:01 Felipe Monteiro de Carvalho Relationship added has duplicate 0017201
2010-10-24 11:05 Felipe Monteiro de Carvalho Status assigned => resolved
2010-10-24 11:05 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-10-24 11:05 Felipe Monteiro de Carvalho Resolution open => fixed
2010-10-24 11:05 Felipe Monteiro de Carvalho Note Added: 0042043
2011-12-01 11:24 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4